#!/bin/bash

########################################################
# Installation Script for CMS Plugin for Trackerjacker #
########################################################

# Check if root
if [ "$EUID" -ne 0 ]
  then echo "Please run as root"
  exit
fi


# Update OS
apt-get update
apt-get dist-upgrade --yes

# Install Python3 and additional stuff
apt-get install git python3-pip libopenjp2-7-dev python3-serial python3-pil --yes

# Remove old trackerjacker
pip3 uninstall -y trackerjacker

# Fix bug in current ubuntu
ln -s -f /usr/lib/arm-linux-gnueabihf/libc.a /usr/lib/arm-linux-gnueabihf/liblibc.a

# Get trackerjacker, add plugin and install it
cd /tmp
git clone https://github.com/calebmadrigal/trackerjacker.git
git clone https://git.chaospott.de/sirgoofy/wifi-printer.git
cp wifi-printer/cms.py trackerjacker/trackerjacker/plugins

pip3 install escpos

cd trackerjacker
python3 setup.py build
python3 setup.py install

# Copy image files to installed plugin because this is not done automatically
cp wifi-printer/*.png /usr/local/lib/python3.9/dist-packages/trackerjacker-1.9.0-py3.9.egg/trackerjacker/plugins/

# Automatically start trackerjacker on startup
cp -f wifi-printer/trackerjacker.sh /etc/rc.local
chmod +x /etc/rc.local

reboot
